/[LeafOK_CVS]/lbbs/utils/Makefile.in
ViewVC logotype

Diff of /lbbs/utils/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.2 by sysadm, Fri Apr 8 11:11:11 2005 UTC Revision 1.9 by sysadm, Mon May 5 14:27:57 2025 UTC
# Line 1  Line 1 
1  # Makefile.in generated by automake 1.9.2 from Makefile.am.  # Makefile.in generated by automake 1.16.5 from Makefile.am.
2  # @configure_input@  # @configure_input@
3    
4  # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,  # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5  # 2003, 2004  Free Software Foundation, Inc.  
6  # This Makefile.in is free software; the Free Software Foundation  # This Makefile.in is free software; the Free Software Foundation
7  # gives unlimited permission to copy and/or distribute it,  # gives unlimited permission to copy and/or distribute it,
8  # with or without modifications, as long as this notice is preserved.  # with or without modifications, as long as this notice is preserved.
# Line 13  Line 13 
13  # PARTICULAR PURPOSE.  # PARTICULAR PURPOSE.
14    
15  @SET_MAKE@  @SET_MAKE@
 srcdir = @srcdir@  
 top_srcdir = @top_srcdir@  
16  VPATH = @srcdir@  VPATH = @srcdir@
17    am__is_gnu_make = { \
18      if test -z '$(MAKELEVEL)'; then \
19        false; \
20      elif test -n '$(MAKE_HOST)'; then \
21        true; \
22      elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23        true; \
24      else \
25        false; \
26      fi; \
27    }
28    am__make_running_with_option = \
29      case $${target_option-} in \
30          ?) ;; \
31          *) echo "am__make_running_with_option: internal error: invalid" \
32                  "target option '$${target_option-}' specified" >&2; \
33             exit 1;; \
34      esac; \
35      has_opt=no; \
36      sane_makeflags=$$MAKEFLAGS; \
37      if $(am__is_gnu_make); then \
38        sane_makeflags=$$MFLAGS; \
39      else \
40        case $$MAKEFLAGS in \
41          *\\[\ \   ]*) \
42            bs=\\; \
43            sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44              | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45        esac; \
46      fi; \
47      skip_next=no; \
48      strip_trailopt () \
49      { \
50        flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51      }; \
52      for flg in $$sane_makeflags; do \
53        test $$skip_next = yes && { skip_next=no; continue; }; \
54        case $$flg in \
55          *=*|--*) continue;; \
56            -*I) strip_trailopt 'I'; skip_next=yes;; \
57          -*I?*) strip_trailopt 'I';; \
58            -*O) strip_trailopt 'O'; skip_next=yes;; \
59          -*O?*) strip_trailopt 'O';; \
60            -*l) strip_trailopt 'l'; skip_next=yes;; \
61          -*l?*) strip_trailopt 'l';; \
62          -[dEDm]) skip_next=yes;; \
63          -[JT]) skip_next=yes;; \
64        esac; \
65        case $$flg in \
66          *$$target_option*) has_opt=yes; break;; \
67        esac; \
68      done; \
69      test $$has_opt = yes
70    am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71    am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72  pkgdatadir = $(datadir)/@PACKAGE@  pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@  
73  pkgincludedir = $(includedir)/@PACKAGE@  pkgincludedir = $(includedir)/@PACKAGE@
74  top_builddir = ..  pkglibdir = $(libdir)/@PACKAGE@
75    pkglibexecdir = $(libexecdir)/@PACKAGE@
76  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 INSTALL = @INSTALL@  
77  install_sh_DATA = $(install_sh) -c -m 644  install_sh_DATA = $(install_sh) -c -m 644
78  install_sh_PROGRAM = $(install_sh) -c  install_sh_PROGRAM = $(install_sh) -c
79  install_sh_SCRIPT = $(install_sh) -c  install_sh_SCRIPT = $(install_sh) -c
# Line 36  POST_UNINSTALL = : Line 88  POST_UNINSTALL = :
88  build_triplet = @build@  build_triplet = @build@
89  host_triplet = @host@  host_triplet = @host@
90  subdir = utils  subdir = utils
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in  
91  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92  am__aclocal_m4_deps = $(top_srcdir)/configure.in  am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
93            $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
94            $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
95            $(top_srcdir)/configure.ac
96  am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \  am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
97          $(ACLOCAL_M4)          $(ACLOCAL_M4)
98    DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
99  mkinstalldirs = $(install_sh) -d  mkinstalldirs = $(install_sh) -d
100  CONFIG_CLEAN_FILES =  CONFIG_CLEAN_FILES =
101    CONFIG_CLEAN_VPATH_FILES =
102    AM_V_P = $(am__v_P_@AM_V@)
103    am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
104    am__v_P_0 = false
105    am__v_P_1 = :
106    AM_V_GEN = $(am__v_GEN_@AM_V@)
107    am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
108    am__v_GEN_0 = @echo "  GEN     " $@;
109    am__v_GEN_1 =
110    AM_V_at = $(am__v_at_@AM_V@)
111    am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
112    am__v_at_0 = @
113    am__v_at_1 =
114  SOURCES =  SOURCES =
115  DIST_SOURCES =  DIST_SOURCES =
116  RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \  RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
117          html-recursive info-recursive install-data-recursive \          ctags-recursive dvi-recursive html-recursive info-recursive \
118          install-exec-recursive install-info-recursive \          install-data-recursive install-dvi-recursive \
119          install-recursive installcheck-recursive installdirs-recursive \          install-exec-recursive install-html-recursive \
120          pdf-recursive ps-recursive uninstall-info-recursive \          install-info-recursive install-pdf-recursive \
121          uninstall-recursive          install-ps-recursive install-recursive installcheck-recursive \
122  ETAGS = etags          installdirs-recursive pdf-recursive ps-recursive \
123  CTAGS = ctags          tags-recursive uninstall-recursive
124    am__can_run_installinfo = \
125      case $$AM_UPDATE_INFO_DIR in \
126        n|no|NO) false;; \
127        *) (install-info --version) >/dev/null 2>&1;; \
128      esac
129    RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
130      distclean-recursive maintainer-clean-recursive
131    am__recursive_targets = \
132      $(RECURSIVE_TARGETS) \
133      $(RECURSIVE_CLEAN_TARGETS) \
134      $(am__extra_recursive_targets)
135    AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
136            distdir distdir-am
137    am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
138    # Read a list of newline-separated strings from the standard input,
139    # and print each of them once, without duplicates.  Input order is
140    # *not* preserved.
141    am__uniquify_input = $(AWK) '\
142      BEGIN { nonempty = 0; } \
143      { items[$$0] = 1; nonempty = 1; } \
144      END { if (nonempty) { for (i in items) print i; }; } \
145    '
146    # Make sure the list of sources is unique.  This is necessary because,
147    # e.g., the same source file might be shared among _SOURCES variables
148    # for different programs/libraries.
149    am__define_uniq_tagged_files = \
150      list='$(am__tagged_files)'; \
151      unique=`for i in $$list; do \
152        if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
153      done | $(am__uniquify_input)`
154  DIST_SUBDIRS = $(SUBDIRS)  DIST_SUBDIRS = $(SUBDIRS)
155    am__DIST_COMMON = $(srcdir)/Makefile.in
156  DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)  DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
157    am__relativize = \
158      dir0=`pwd`; \
159      sed_first='s,^\([^/]*\)/.*$$,\1,'; \
160      sed_rest='s,^[^/]*/*,,'; \
161      sed_last='s,^.*/\([^/]*\)$$,\1,'; \
162      sed_butlast='s,/*[^/]*$$,,'; \
163      while test -n "$$dir1"; do \
164        first=`echo "$$dir1" | sed -e "$$sed_first"`; \
165        if test "$$first" != "."; then \
166          if test "$$first" = ".."; then \
167            dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
168            dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
169          else \
170            first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
171            if test "$$first2" = "$$first"; then \
172              dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
173            else \
174              dir2="../$$dir2"; \
175            fi; \
176            dir0="$$dir0"/"$$first"; \
177          fi; \
178        fi; \
179        dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
180      done; \
181      reldir="$$dir2"
182  ACLOCAL = @ACLOCAL@  ACLOCAL = @ACLOCAL@
 AMDEP_FALSE = @AMDEP_FALSE@  
 AMDEP_TRUE = @AMDEP_TRUE@  
183  AMTAR = @AMTAR@  AMTAR = @AMTAR@
184    AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
185  AR = @AR@  AR = @AR@
186  AUTOCONF = @AUTOCONF@  AUTOCONF = @AUTOCONF@
187  AUTOHEADER = @AUTOHEADER@  AUTOHEADER = @AUTOHEADER@
# Line 69  CCDEPMODE = @CCDEPMODE@ Line 192  CCDEPMODE = @CCDEPMODE@
192  CFLAGS = @CFLAGS@  CFLAGS = @CFLAGS@
193  CPP = @CPP@  CPP = @CPP@
194  CPPFLAGS = @CPPFLAGS@  CPPFLAGS = @CPPFLAGS@
195    CSCOPE = @CSCOPE@
196    CTAGS = @CTAGS@
197  CXX = @CXX@  CXX = @CXX@
198  CXXCPP = @CXXCPP@  CXXCPP = @CXXCPP@
199  CXXDEPMODE = @CXXDEPMODE@  CXXDEPMODE = @CXXDEPMODE@
# Line 76  CXXFLAGS = @CXXFLAGS@ Line 201  CXXFLAGS = @CXXFLAGS@
201  CYGPATH_W = @CYGPATH_W@  CYGPATH_W = @CYGPATH_W@
202  DEFS = @DEFS@  DEFS = @DEFS@
203  DEPDIR = @DEPDIR@  DEPDIR = @DEPDIR@
204  ECHO = @ECHO@  DLLTOOL = @DLLTOOL@
205    DSYMUTIL = @DSYMUTIL@
206    DUMPBIN = @DUMPBIN@
207  ECHO_C = @ECHO_C@  ECHO_C = @ECHO_C@
208  ECHO_N = @ECHO_N@  ECHO_N = @ECHO_N@
209  ECHO_T = @ECHO_T@  ECHO_T = @ECHO_T@
210  EGREP = @EGREP@  EGREP = @EGREP@
211    ETAGS = @ETAGS@
212  EXEEXT = @EXEEXT@  EXEEXT = @EXEEXT@
213  F77 = @F77@  FGREP = @FGREP@
214  FFLAGS = @FFLAGS@  FILECMD = @FILECMD@
215    GREP = @GREP@
216    INSTALL = @INSTALL@
217  INSTALL_DATA = @INSTALL_DATA@  INSTALL_DATA = @INSTALL_DATA@
218  INSTALL_PROGRAM = @INSTALL_PROGRAM@  INSTALL_PROGRAM = @INSTALL_PROGRAM@
219  INSTALL_SCRIPT = @INSTALL_SCRIPT@  INSTALL_SCRIPT = @INSTALL_SCRIPT@
220  INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@  INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
221    LD = @LD@
222  LDFLAGS = @LDFLAGS@  LDFLAGS = @LDFLAGS@
223  LIBOBJS = @LIBOBJS@  LIBOBJS = @LIBOBJS@
224  LIBS = @LIBS@  LIBS = @LIBS@
225  LIBTOOL = @LIBTOOL@  LIBTOOL = @LIBTOOL@
226    LIPO = @LIPO@
227  LN_S = @LN_S@  LN_S = @LN_S@
228  LTLIBOBJS = @LTLIBOBJS@  LTLIBOBJS = @LTLIBOBJS@
229    LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
230  MAKEINFO = @MAKEINFO@  MAKEINFO = @MAKEINFO@
231    MANIFEST_TOOL = @MANIFEST_TOOL@
232    MKDIR_P = @MKDIR_P@
233    NM = @NM@
234    NMEDIT = @NMEDIT@
235    OBJDUMP = @OBJDUMP@
236  OBJEXT = @OBJEXT@  OBJEXT = @OBJEXT@
237    OTOOL = @OTOOL@
238    OTOOL64 = @OTOOL64@
239  PACKAGE = @PACKAGE@  PACKAGE = @PACKAGE@
240  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
241  PACKAGE_NAME = @PACKAGE_NAME@  PACKAGE_NAME = @PACKAGE_NAME@
242  PACKAGE_STRING = @PACKAGE_STRING@  PACKAGE_STRING = @PACKAGE_STRING@
243  PACKAGE_TARNAME = @PACKAGE_TARNAME@  PACKAGE_TARNAME = @PACKAGE_TARNAME@
244    PACKAGE_URL = @PACKAGE_URL@
245  PACKAGE_VERSION = @PACKAGE_VERSION@  PACKAGE_VERSION = @PACKAGE_VERSION@
246  PATH_SEPARATOR = @PATH_SEPARATOR@  PATH_SEPARATOR = @PATH_SEPARATOR@
247  RANLIB = @RANLIB@  RANLIB = @RANLIB@
248    SED = @SED@
249  SET_MAKE = @SET_MAKE@  SET_MAKE = @SET_MAKE@
250  SHELL = @SHELL@  SHELL = @SHELL@
251  STRIP = @STRIP@  STRIP = @STRIP@
252  VERSION = @VERSION@  VERSION = @VERSION@
253    abs_builddir = @abs_builddir@
254    abs_srcdir = @abs_srcdir@
255    abs_top_builddir = @abs_top_builddir@
256    abs_top_srcdir = @abs_top_srcdir@
257  ac_ct_AR = @ac_ct_AR@  ac_ct_AR = @ac_ct_AR@
258  ac_ct_CC = @ac_ct_CC@  ac_ct_CC = @ac_ct_CC@
259  ac_ct_CXX = @ac_ct_CXX@  ac_ct_CXX = @ac_ct_CXX@
260  ac_ct_F77 = @ac_ct_F77@  ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
 ac_ct_RANLIB = @ac_ct_RANLIB@  
 ac_ct_STRIP = @ac_ct_STRIP@  
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@  
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@  
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@  
 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@  
261  am__include = @am__include@  am__include = @am__include@
262  am__leading_dot = @am__leading_dot@  am__leading_dot = @am__leading_dot@
263  am__quote = @am__quote@  am__quote = @am__quote@
# Line 129  build_alias = @build_alias@ Line 269  build_alias = @build_alias@
269  build_cpu = @build_cpu@  build_cpu = @build_cpu@
270  build_os = @build_os@  build_os = @build_os@
271  build_vendor = @build_vendor@  build_vendor = @build_vendor@
272    builddir = @builddir@
273  datadir = @datadir@  datadir = @datadir@
274    datarootdir = @datarootdir@
275    docdir = @docdir@
276    dvidir = @dvidir@
277  exec_prefix = @exec_prefix@  exec_prefix = @exec_prefix@
278  host = @host@  host = @host@
279  host_alias = @host_alias@  host_alias = @host_alias@
280  host_cpu = @host_cpu@  host_cpu = @host_cpu@
281  host_os = @host_os@  host_os = @host_os@
282  host_vendor = @host_vendor@  host_vendor = @host_vendor@
283    htmldir = @htmldir@
284  includedir = @includedir@  includedir = @includedir@
285  infodir = @infodir@  infodir = @infodir@
286  install_sh = @install_sh@  install_sh = @install_sh@
287  libdir = @libdir@  libdir = @libdir@
288  libexecdir = @libexecdir@  libexecdir = @libexecdir@
289    localedir = @localedir@
290  localstatedir = @localstatedir@  localstatedir = @localstatedir@
291  mandir = @mandir@  mandir = @mandir@
292  mkdir_p = @mkdir_p@  mkdir_p = @mkdir_p@
293  oldincludedir = @oldincludedir@  oldincludedir = @oldincludedir@
294    pdfdir = @pdfdir@
295  prefix = @prefix@  prefix = @prefix@
296  program_transform_name = @program_transform_name@  program_transform_name = @program_transform_name@
297    psdir = @psdir@
298    runstatedir = @runstatedir@
299  sbindir = @sbindir@  sbindir = @sbindir@
300  sharedstatedir = @sharedstatedir@  sharedstatedir = @sharedstatedir@
301    srcdir = @srcdir@
302  sysconfdir = @sysconfdir@  sysconfdir = @sysconfdir@
303  target_alias = @target_alias@  target_alias = @target_alias@
304    top_build_prefix = @top_build_prefix@
305    top_builddir = @top_builddir@
306    top_srcdir = @top_srcdir@
307  EXTRA_DIST = makedist.sh  EXTRA_DIST = makedist.sh
308  SUBDIRS = game  SUBDIRS = game
309    AM_CFLAGS = -Wall -Werror -Wno-unused-parameter -Wformat -Wconversion -Wdeprecated -finline-functions
310  CLEANFILES = @EXTRA_CLEAN@  CLEANFILES = @EXTRA_CLEAN@
311  all: all-recursive  all: all-recursive
312    
# Line 161  $(srcdir)/Makefile.in:  $(srcdir)/Makefi Line 315  $(srcdir)/Makefile.in:  $(srcdir)/Makefi
315          @for dep in $?; do \          @for dep in $?; do \
316            case '$(am__configure_deps)' in \            case '$(am__configure_deps)' in \
317              *$$dep*) \              *$$dep*) \
318                cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \                ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
319                  && exit 0; \                  && { if test -f $@; then exit 0; else break; fi; }; \
320                exit 1;; \                exit 1;; \
321            esac; \            esac; \
322          done; \          done; \
323          echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  utils/Makefile'; \          echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu utils/Makefile'; \
324          cd $(top_srcdir) && \          $(am__cd) $(top_srcdir) && \
325            $(AUTOMAKE) --gnu  utils/Makefile            $(AUTOMAKE) --gnu utils/Makefile
 .PRECIOUS: Makefile  
326  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
327          @case '$?' in \          @case '$?' in \
328            *config.status*) \            *config.status*) \
329              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
330            *) \            *) \
331              echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \              echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
332              cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \              cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
333          esac;          esac;
334    
335  $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)  $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
# Line 186  $(top_srcdir)/configure:  $(am__configur Line 339  $(top_srcdir)/configure:  $(am__configur
339          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
340  $(ACLOCAL_M4):  $(am__aclocal_m4_deps)  $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
341          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
342    $(am__aclocal_m4_deps):
343    
344  mostlyclean-libtool:  mostlyclean-libtool:
345          -rm -f *.lo          -rm -f *.lo
# Line 193  mostlyclean-libtool: Line 347  mostlyclean-libtool:
347  clean-libtool:  clean-libtool:
348          -rm -rf .libs _libs          -rm -rf .libs _libs
349    
 distclean-libtool:  
         -rm -f libtool  
 uninstall-info-am:  
   
350  # This directory's subdirectories are mostly independent; you can cd  # This directory's subdirectories are mostly independent; you can cd
351  # into them and run `make' without going through this Makefile.  # into them and run 'make' without going through this Makefile.
352  # To change the values of `make' variables: instead of editing Makefiles,  # To change the values of 'make' variables: instead of editing Makefiles,
353  # (1) if the variable is set in `config.status', edit `config.status'  # (1) if the variable is set in 'config.status', edit 'config.status'
354  #     (which will cause the Makefiles to be regenerated when you run `make');  #     (which will cause the Makefiles to be regenerated when you run 'make');
355  # (2) otherwise, pass the desired values on the `make' command line.  # (2) otherwise, pass the desired values on the 'make' command line.
356  $(RECURSIVE_TARGETS):  $(am__recursive_targets):
357          @set fnord $$MAKEFLAGS; amf=$$2; \          @fail=; \
358            if $(am__make_keepgoing); then \
359              failcom='fail=yes'; \
360            else \
361              failcom='exit 1'; \
362            fi; \
363          dot_seen=no; \          dot_seen=no; \
364          target=`echo $@ | sed s/-recursive//`; \          target=`echo $@ | sed s/-recursive//`; \
365          list='$(SUBDIRS)'; for subdir in $$list; do \          case "$@" in \
366              distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
367              *) list='$(SUBDIRS)' ;; \
368            esac; \
369            for subdir in $$list; do \
370            echo "Making $$target in $$subdir"; \            echo "Making $$target in $$subdir"; \
371            if test "$$subdir" = "."; then \            if test "$$subdir" = "."; then \
372              dot_seen=yes; \              dot_seen=yes; \
# Line 215  $(RECURSIVE_TARGETS): Line 374  $(RECURSIVE_TARGETS):
374            else \            else \
375              local_target="$$target"; \              local_target="$$target"; \
376            fi; \            fi; \
377            (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \            ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
378             || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \            || eval $$failcom; \
379          done; \          done; \
380          if test "$$dot_seen" = "no"; then \          if test "$$dot_seen" = "no"; then \
381            $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \            $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
382          fi; test -z "$$fail"          fi; test -z "$$fail"
383    
384  mostlyclean-recursive clean-recursive distclean-recursive \  ID: $(am__tagged_files)
385  maintainer-clean-recursive:          $(am__define_uniq_tagged_files); mkid -fID $$unique
386          @set fnord $$MAKEFLAGS; amf=$$2; \  tags: tags-recursive
387          dot_seen=no; \  TAGS: tags
         case "$@" in \  
           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \  
           *) list='$(SUBDIRS)' ;; \  
         esac; \  
         rev=''; for subdir in $$list; do \  
           if test "$$subdir" = "."; then :; else \  
             rev="$$subdir $$rev"; \  
           fi; \  
         done; \  
         rev="$$rev ."; \  
         target=`echo $@ | sed s/-recursive//`; \  
         for subdir in $$rev; do \  
           echo "Making $$target in $$subdir"; \  
           if test "$$subdir" = "."; then \  
             local_target="$$target-am"; \  
           else \  
             local_target="$$target"; \  
           fi; \  
           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \  
            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \  
         done && test -z "$$fail"  
 tags-recursive:  
         list='$(SUBDIRS)'; for subdir in $$list; do \  
           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \  
         done  
 ctags-recursive:  
         list='$(SUBDIRS)'; for subdir in $$list; do \  
           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \  
         done  
388    
389  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)  tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
390          list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \          set x; \
         unique=`for i in $$list; do \  
             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \  
           done | \  
           $(AWK) '    { files[$$0] = 1; } \  
                END { for (i in files) print i; }'`; \  
         mkid -fID $$unique  
 tags: TAGS  
   
 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \  
                 $(TAGS_FILES) $(LISP)  
         tags=; \  
391          here=`pwd`; \          here=`pwd`; \
392          if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \          if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
393            include_option=--etags-include; \            include_option=--etags-include; \
# Line 280  TAGS: tags-recursive $(HEADERS) $(SOURCE Line 399  TAGS: tags-recursive $(HEADERS) $(SOURCE
399          list='$(SUBDIRS)'; for subdir in $$list; do \          list='$(SUBDIRS)'; for subdir in $$list; do \
400            if test "$$subdir" = .; then :; else \            if test "$$subdir" = .; then :; else \
401              test ! -f $$subdir/TAGS || \              test ! -f $$subdir/TAGS || \
402                tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \                set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
403            fi; \            fi; \
404          done; \          done; \
405          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \          $(am__define_uniq_tagged_files); \
406          unique=`for i in $$list; do \          shift; \
407              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \          if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
           done | \  
           $(AWK) '    { files[$$0] = 1; } \  
                END { for (i in files) print i; }'`; \  
         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \  
408            test -n "$$unique" || unique=$$empty_fix; \            test -n "$$unique" || unique=$$empty_fix; \
409            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \            if test $$# -gt 0; then \
410              $$tags $$unique; \              $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
411                  "$$@" $$unique; \
412              else \
413                $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
414                  $$unique; \
415              fi; \
416          fi          fi
417  ctags: CTAGS  ctags: ctags-recursive
418  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \  
419                  $(TAGS_FILES) $(LISP)  CTAGS: ctags
420          tags=; \  ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
421          here=`pwd`; \          $(am__define_uniq_tagged_files); \
422          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \          test -z "$(CTAGS_ARGS)$$unique" \
         unique=`for i in $$list; do \  
             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \  
           done | \  
           $(AWK) '    { files[$$0] = 1; } \  
                END { for (i in files) print i; }'`; \  
         test -z "$(CTAGS_ARGS)$$tags$$unique" \  
423            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
424               $$tags $$unique               $$unique
425    
426  GTAGS:  GTAGS:
427          here=`$(am__cd) $(top_builddir) && pwd` \          here=`$(am__cd) $(top_builddir) && pwd` \
428            && cd $(top_srcdir) \            && $(am__cd) $(top_srcdir) \
429            && gtags -i $(GTAGS_ARGS) $$here            && gtags -i $(GTAGS_ARGS) "$$here"
430    cscopelist: cscopelist-recursive
431    
432    cscopelist-am: $(am__tagged_files)
433            list='$(am__tagged_files)'; \
434            case "$(srcdir)" in \
435              [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
436              *) sdir=$(subdir)/$(srcdir) ;; \
437            esac; \
438            for i in $$list; do \
439              if test -f "$$i"; then \
440                echo "$(subdir)/$$i"; \
441              else \
442                echo "$$sdir/$$i"; \
443              fi; \
444            done >> $(top_builddir)/cscope.files
445    
446  distclean-tags:  distclean-tags:
447          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
448    distdir: $(BUILT_SOURCES)
449            $(MAKE) $(AM_MAKEFLAGS) distdir-am
450    
451  distdir: $(DISTFILES)  distdir-am: $(DISTFILES)
452          @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \          @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
453          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
454          list='$(DISTFILES)'; for file in $$list; do \          list='$(DISTFILES)'; \
455            case $$file in \            dist_files=`for file in $$list; do echo $$file; done | \
456              $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \            sed -e "s|^$$srcdirstrip/||;t" \
457              $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \                -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
458            esac; \          case $$dist_files in \
459              */*) $(MKDIR_P) `echo "$$dist_files" | \
460                               sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
461                               sort -u` ;; \
462            esac; \
463            for file in $$dist_files; do \
464            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \  
           if test "$$dir" != "$$file" && test "$$dir" != "."; then \  
             dir="/$$dir"; \  
             $(mkdir_p) "$(distdir)$$dir"; \  
           else \  
             dir=''; \  
           fi; \  
465            if test -d $$d/$$file; then \            if test -d $$d/$$file; then \
466                dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
467                if test -d "$(distdir)/$$file"; then \
468                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
469                fi; \
470              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
471                cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \                cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
472                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
473              fi; \              fi; \
474              cp -pR $$d/$$file $(distdir)$$dir || exit 1; \              cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
475            else \            else \
476              test -f $(distdir)/$$file \              test -f "$(distdir)/$$file" \
477              || cp -p $$d/$$file $(distdir)/$$file \              || cp -p $$d/$$file "$(distdir)/$$file" \
478              || exit 1; \              || exit 1; \
479            fi; \            fi; \
480          done          done
481          list='$(DIST_SUBDIRS)'; for subdir in $$list; do \          @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
482            if test "$$subdir" = .; then :; else \            if test "$$subdir" = .; then :; else \
483              test -d "$(distdir)/$$subdir" \              $(am__make_dryrun) \
484              || $(mkdir_p) "$(distdir)/$$subdir" \                || test -d "$(distdir)/$$subdir" \
485              || exit 1; \                || $(MKDIR_P) "$(distdir)/$$subdir" \
486              distdir=`$(am__cd) $(distdir) && pwd`; \                || exit 1; \
487              top_distdir=`$(am__cd) $(top_distdir) && pwd`; \              dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
488              (cd $$subdir && \              $(am__relativize); \
489                new_distdir=$$reldir; \
490                dir1=$$subdir; dir2="$(top_distdir)"; \
491                $(am__relativize); \
492                new_top_distdir=$$reldir; \
493                echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
494                echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
495                ($(am__cd) $$subdir && \
496                $(MAKE) $(AM_MAKEFLAGS) \                $(MAKE) $(AM_MAKEFLAGS) \
497                  top_distdir="$$top_distdir" \                  top_distdir="$$new_top_distdir" \
498                  distdir="$$distdir/$$subdir" \                  distdir="$$new_distdir" \
499                    am__remove_distdir=: \
500                    am__skip_length_check=: \
501                    am__skip_mode_fix=: \
502                  distdir) \                  distdir) \
503                || exit 1; \                || exit 1; \
504            fi; \            fi; \
# Line 374  install-am: all-am Line 518  install-am: all-am
518    
519  installcheck: installcheck-recursive  installcheck: installcheck-recursive
520  install-strip:  install-strip:
521          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \          if test -z '$(STRIP)'; then \
522            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \            $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
523            `test -z '$(STRIP)' || \              install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
524              echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install                install; \
525            else \
526              $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
527                install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
528                "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
529            fi
530  mostlyclean-generic:  mostlyclean-generic:
531    
532  clean-generic:  clean-generic:
# Line 385  clean-generic: Line 534  clean-generic:
534    
535  distclean-generic:  distclean-generic:
536          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
537            -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
538    
539  maintainer-clean-generic:  maintainer-clean-generic:
540          @echo "This command is intended for maintainers to use"          @echo "This command is intended for maintainers to use"
# Line 395  clean-am: clean-generic clean-libtool mo Line 545  clean-am: clean-generic clean-libtool mo
545    
546  distclean: distclean-recursive  distclean: distclean-recursive
547          -rm -f Makefile          -rm -f Makefile
548  distclean-am: clean-am distclean-generic distclean-libtool \  distclean-am: clean-am distclean-generic distclean-tags
         distclean-tags  
549    
550  dvi: dvi-recursive  dvi: dvi-recursive
551    
# Line 404  dvi-am: Line 553  dvi-am:
553    
554  html: html-recursive  html: html-recursive
555    
556    html-am:
557    
558  info: info-recursive  info: info-recursive
559    
560  info-am:  info-am:
561    
562  install-data-am: install-data-local  install-data-am: install-data-local
563    
564    install-dvi: install-dvi-recursive
565    
566    install-dvi-am:
567    
568  install-exec-am:  install-exec-am:
569    
570    install-html: install-html-recursive
571    
572    install-html-am:
573    
574  install-info: install-info-recursive  install-info: install-info-recursive
575    
576    install-info-am:
577    
578  install-man:  install-man:
579    
580    install-pdf: install-pdf-recursive
581    
582    install-pdf-am:
583    
584    install-ps: install-ps-recursive
585    
586    install-ps-am:
587    
588  installcheck-am:  installcheck-am:
589    
590  maintainer-clean: maintainer-clean-recursive  maintainer-clean: maintainer-clean-recursive
# Line 434  ps: ps-recursive Line 603  ps: ps-recursive
603    
604  ps-am:  ps-am:
605    
606  uninstall-am: uninstall-info-am  uninstall-am:
607    
608    .MAKE: $(am__recursive_targets) install-am install-strip
609    
610  uninstall-info: uninstall-info-recursive  .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
611            check-am clean clean-generic clean-libtool cscopelist-am ctags \
612            ctags-am distclean distclean-generic distclean-libtool \
613            distclean-tags distdir dvi dvi-am html html-am info info-am \
614            install install-am install-data install-data-am \
615            install-data-local install-dvi install-dvi-am install-exec \
616            install-exec-am install-html install-html-am install-info \
617            install-info-am install-man install-pdf install-pdf-am \
618            install-ps install-ps-am install-strip installcheck \
619            installcheck-am installdirs installdirs-am maintainer-clean \
620            maintainer-clean-generic mostlyclean mostlyclean-generic \
621            mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
622            uninstall-am
623    
624  .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \  .PRECIOUS: Makefile
         clean clean-generic clean-libtool clean-recursive ctags \  
         ctags-recursive distclean distclean-generic distclean-libtool \  
         distclean-recursive distclean-tags distdir dvi dvi-am html \  
         html-am info info-am install install-am install-data \  
         install-data-am install-data-local install-exec \  
         install-exec-am install-info install-info-am install-man \  
         install-strip installcheck installcheck-am installdirs \  
         installdirs-am maintainer-clean maintainer-clean-generic \  
         maintainer-clean-recursive mostlyclean mostlyclean-generic \  
         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \  
         tags tags-recursive uninstall uninstall-am uninstall-info-am  
625    
626    
627  install-data-local:  install-data-local:
628          sh makedist.sh $(prefix)/$(subdir)          sh makedist.sh $(prefix)/$(subdir)
629    
630  # Tell versions [3.59,3.63) of GNU make to not export all variables.  # Tell versions [3.59,3.63) of GNU make to not export all variables.
631  # Otherwise a system limit (for SysV at least) may be exceeded.  # Otherwise a system limit (for SysV at least) may be exceeded.
632  .NOEXPORT:  .NOEXPORT:


Legend:
Removed lines/characters  
Changed lines/characters
  Added lines/characters

webmaster@leafok.com
ViewVC Help
Powered by ViewVC 1.3.0-beta1